\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "La Danza"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

\header {instrument = "Basso"}
% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \mixolydian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bassusnotes.ly
bassusnotes = {
  \clef "bass"
  \relative c {
    f4. e8 d4 f e d c4. b8 a4 d a d c a bes g a2 d d4 d2 d4 f4. e8 d4 f c c f,2^"A" f4 f2 f4 f'2 d e4 e a,2 a4 a2 a4 a'2 f4 a g f e4. d8 c4 g' f e d4. c8 b4 c a2 g^"B" g4 g2 g4 g'4. f8 e4 g f e d c8 b a4 d g, a f8 g a b c4 g c e d2 g,^"C" g4 g2 g4 g'4. f8 e4 g f e d2 d4 d2 d4 g,8 a \af bes c d4 g, a2 a'2^"D" a4 a2 a4 f4. e8 d4 d g8 f e d c4 c c c d d a2 f4 f2 f4 f'4. g8 a4 e8 f g4 d8 e f2^"E" f4 f2 f4 d8 e f g a4 d,8 e f g a4 g2 c, c4 d2 d4 c2^"F" c4 c2 c4 a \an bes g a d8 e f g a4 a,8 b c4 f,8 g a \af bes c g d'1\fermata
  }
  \once \override Staff.BarLine #'transparent = ##f
  \bar "|."   
}

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))

\score{
  <<
	\context Staff="default"
	{
	  \transpose c c {
	    \clef "bass"
	    \voicedefault 
	    \looksSlower{\bassusnotes}
%	    \bassusnotes
	  }
	}
%%%	\addlyrics {\bassusfour}
%	\addlyrics {\bassusenglish}
      >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
%		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{
	    \Staff
	    \consists Custos_engraver
	    \override Custos #'style = #'mensural
	  }	
	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

