\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Vincenzo Ruffo"
        copyright = "© Serpent Publications 2012 www.laymusic.org"
	footnotes = ""
	title = "La Danza"
	source = "Ogni Sorte Editions SR3"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c' {
    \set suggestAccidentals = ##t
    f8. g16 a8 g f8. d16 a'8 a g e16 g f d f8 e8. d16 c e d8 c8. b16 a8 f' e e d a16 b c d e4 a16 g f e d8. c16 bes8 a16 g a b c d e8 d16 c d e f g a4 f8 bes a8. g16 f e d c d8 c8. b16 a8 g d' a8. b16 c d e8 f8. e32 d e8 f^"A" a c c, f8. g16 a8 a,8. b16 c8 a8 f'8. g16 a b c8 c, d16 e f g a8 f e8. fis16
    \set suggestAccidentals = ##f
    gis8 gis a a e e f e c8. d16 e8 c4 a a'8. b16 c8 a f e16 d e f g8 d16 e f g a4 g f8 e16 c e8 d g a8. b16 c8 g a8. g16 f8 e d g4 e8 f e8. d16 c8 b^"B" b g16 a b c d8 b4 g g'8 d g4 d8 g a g4
    r8 g a a g e f d e16 c d8 c8. b16 a8 a b b c4
    r8 b c d e16 c e8 d4 e8. f16 g8 e f8. e16 d8 a b8.^"C" a16 g8 d'8. c16 b a g8 d' b d4 b8 c c b a e' g4 d8 f c16 d e f g e f4 d8 f8. g16 a4 f8 f8. g16 a8 f
    \set suggestAccidentals = ##t
    bes a g g f8. e16 d8 d 
    \set suggestAccidentals = ##f
    cis d8.
    \set suggestAccidentals = ##t
    cis32 b cis8 d^"D" f4 e a8. g16 a b c8 a4 e8 f a4 g8 f8. e16 d8 f16 e d8 d e f e8. d16 c8 e4 g8. f16 e8 f8. e16 d a d8 c8. b16 a8 e' f4. c8 f8. g16 a8 f4 a g8 e a g8 f16 e d8 g f e16 d c8^"E" a a'8. b16 c8 a4 f c'8. bes16 a4 g8 a g16 f e8 e f e16 d c8 g' e8. f16 g8 d g4. g8 e8. d16 c8. b16 a8 f'4 d8 f f e16^"F" d e f g4. e8 g8. f16 e8. d16 c4. a8 d8. c16 bes8 bes c8. bes16 a8 e' c g' e c4 d8 e c4 b8 c d c
    \set suggestAccidentals = ##f
    bes a1\fermata
    \once \override Staff.BarLine #'transparent = ##f
    \bar "|."   
  }
}

% expanding: tenornotes.ly
tenornotes = {
  \clef "G_8"
  \relative c {
    \set suggestAccidentals = ##t
    f8 a8. b16 c b32 c d8 a8. b16 c d e8 c8. b32 a b8 c g e16 f g d a'8. e16 f g a b c8 a8. g16 f8 e g a16 g f e d8 d g8. f16 e8 f e a4 f8. e16 f g a8 a f8. g16 a8 bes a f8. g16 a b c d e8 a, d c a c a g4 f8.^"A" g16 a8. b16 c8 c, f8. g16 a8. b16 c8 a4 c a f8. g16 a8                                                     
 gis8. a16 b8 e,4 e'8. d16 c b a8 c8. b16 a g32 f e8 e'4 c f8 e c4 a c8 b16 a b c d8 a c b8. c16 d8 g, c b b c8. d16 e8 e a, f4 g d8 e g a16 b c8 c,16 d e f g8^"B" d4 d'8 b g8. a16 b c d8 b4 g8. a16 b c  d8 a c b4 e8. d16 d8. c16 c8 b a4 g8 a e f d4 g8 e a4 g8 f f e c'8. b32 a b8 c g8. a16 b c d8 a4 
    \set suggestAccidentals = ##f
    fis8 g^"C" d'8. c16 b a g8 d'8. c16 b a g8. f32 e d8 g c,4
    r8 c'4 b8. c16 d b c8 a g g a f4 d8 d'8. e16 f8 d4 a d c8 d e a, d16 c
    \set suggestAccidentals = ##t
    bes a g f e8 f e4 d8.^"D" e16 f g a b c8. d16 e8 f e8. d16 c8. b16 a8 c f, g a
    \set suggestAccidentals = ##f
    bes a d16 c b8 a g f g c g8. f16 e8 e'8. d16 c b a8. g16 f8 f e e'4 c a8 c a4 f a8. b16 c8. a16 b8 c16 d e4 a,8 b16 c d4 g,8 a16^"E" b c4 a8. b16 c4 a8 c4 f4. e8 d d c a4 g8 a b c16 d e c d8 b8. c16 d8 e e,8. f16 g8 e g f8. g16 a8 f8. g16 a f g8^"F" c g c8. d16 e4 c g e f d g8 e a4 g8 a b c a4 g16 f e8 e f d a' g4 g8 fis1\fermata
  }
    \once \override Staff.BarLine #'transparent = ##f
\bar "|."   
}

% expanding: bassusnotes.ly
bassusnotes = {
  \clef "bass"
  \relative c {
    f4. e8 d4 f e d c4. b8 a4 d a d c a bes g a2 d d4 d2 d4 f4. e8 d4 f c c f,2^"A" f4 f2 f4 f'2 d e4 e a,2 a4 a2 a4 a'2 f4 a g f e4. d8 c4 g' f e d4. c8 b4 c a2 g^"B" g4 g2 g4 g'4. f8 e4 g f e d c8 b a4 d g, a f8 g a b c4 g c e d2 g,^"C" g4 g2 g4 g'4. f8 e4 g f e d2 d4 d2 d4 g,8 a \af bes c d4 g, a2 a'2^"D" a4 a2 a4 f4. e8 d4 d g8 f e d c4 c c c d d a2 f4 f2 f4 f'4. g8 a4 e8 f g4 d8 e f2^"E" f4 f2 f4 d8 e f g a4 d,8 e f g a4 g2 c, c4 d2 d4 c2^"F" c4 c2 c4 a \an bes g a d8 e f g a4 a,8 b c4 f,8 g a \af bes c g d'1\fermata
  }
  \once \override Staff.BarLine #'transparent = ##f
  \bar "|."   
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C22")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
 \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key g \minor
\key g \mixolydian

%\partial 4  

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
	    \looksSlower{\cantusnotes }
%	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
	    \looksSlower{\tenornotes}
%	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
	    \looksSlower{\bassusnotes}
% 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

